Bukkit ActionBarAPI [1.8 - 1.13] 1.5.4

A easy to use API for developers to take advantage of the new Action Bar feature in Minecraft 1.8

  1. ConnorLinfoot submitted a new resource:

    ActionBarAPI - A easy to use API for developers to take advantage of the new Action Bar feature in Minecraft 1.8

    Read more about this resource...
     
    • Like Like x 1
  2. Cool resource! Incredible!
     
  3. what is an actionbar? thebossbar from the wither?
     
  4. It is a new thing added in 1.8 just a little above the item bar.
     
  5. Source dosent work for me and not the plugin its self :/
     
  6. me to, how to send the bar?
     
  7. Make sure you are using the latest Spigot Update. Works fine for me and others.
     
  8. i used the latest spigot version. but it doens't work for me, or i don't understand it,
     
  9. I made a plugin called "bar" that on a command "/bar" sends the player a message saying "hey" and this is what happends.

    Caused by: java.lang.NoSuchMethodError: net.minecraft.server.v1_7_R4.PacketPlayOutChat.<init>(Lnet/minecraft/server/v1_7_R4/IChatBaseComponent;I)V
    at com.connorlinfoot.actionbarapi.ActionBarAPI.sendActionBar(ActionBarAPI.java:41) ~[?:?]
    at org.golde.bukkit.bar.MyPlugin.onCommand(MyPlugin.java:23) ~[?:?]
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot1649.jar:git-Spigot-1649]
    ... 13 more




    im using 1649 version of spigot
     

  10. "Note: Requires at LEAST the 20141001a build."

    Will not work with the 1649 build as it not NOT support the packet for sending as you can see my the "NoSuchMethod" error.
     
  11. Will this be updated to Spigot 1.8, even if it needs NMS & reflection (most likely will)?
     
  12. Yes, I will be updating it later tonight. At least that's the plan. :)
     
    • Like Like x 2
  13. [01:03:27] [Server thread/ERROR]: Could not load 'plugins\ActionBarAPI (1).jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.NoClassDefFoundError: net/minecraft/server/v1_8_R1/Packet
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[spigot.jar:git-Spigot-1647]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:341) ~[spigot.jar:git-Spigot-1647]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:263) [spigot.jar:git-Spigot-1647]
    at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugins(CraftServer.java:369) [spigot.jar:git-Spigot-1647]
    at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:152) [spigot.jar:git-Spigot-1647]
    at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:458) [spigot.jar:git-Spigot-1647]
    at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628) [spigot.jar:git-Spigot-1647]
    Caused by: java.lang.NoClassDefFoundError: net/minecraft/server/v1_8_R1/Packet
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_25]
    at java.lang.Class.forName(Unknown Source) ~[?:1.8.0_25]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot.jar:git-Spigot-1647]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[spigot.jar:git-Spigot-1647]
    ... 6 more
    Caused by: java.lang.ClassNotFoundException: net.minecraft.server.v1_8_R1.Packet
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:91) ~[spigot.jar:git-Spigot-1647]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot.jar:git-Spigot-1647]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_25]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_25]
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_25]
    at java.lang.Class.forName(Unknown Source) ~[?:1.8.0_25]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot.jar:git-Spigot-1647]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[spigot.jar:git-Spigot-1647]
    ... 6 more
     
  14. Not Work Plugin ??
     
  15. You're not on Spigot 1.8. Please read the message at the top of the resource page.
     
  16. Use the other version. This one does work on Spigot 1.8 only
     
  17. Ok Give Me 1.8 only ??

    The Jar
     

Share This Page